# Poco::Net

# class MailInputStream

Library: Net
Package: Mail
Header: Poco/Net/MailStream.h

## Description

This class is used for reading E-Mail messages from a POP3 server. All occurrences of "\r\n..\r\n" are replaced with "\r\n.\r\n". The first occurrence of "\r\n.\r\n" denotes the end of the stream.

## Inheritance

Direct Base Classes: MailIOS, std::istream

All Base Classes: MailIOS, std::ios, std::istream

## Member Summary

Inherited Functions: close, rdbuf

## Constructors

### MailInputStream

MailInputStream(
std::istream & istr
);

Creates the MailInputStream and connects it to the given input stream.

## Destructor

### ~MailInputStream

~MailInputStream();

Destroys the MailInputStream.